:root {
  --white: white;
  --black: black;
}

.main-wrapper {
  width: 100%;
  height: 100svh;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  display: flex;
}

.container {
  width: 100%;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.clue-wrapper {
  background-color: #fff;
  border-radius: .5em;
  justify-content: space-between;
  align-items: center;
  margin-top: 2em;
  margin-bottom: 2em;
  padding: 2em;
  box-shadow: 0 4px 3px -3px #bbbdbf;
}

.heading-container {
  margin-top: 4em;
  margin-bottom: 2em;
}

.hero-heading {
  color: #0c3256;
  margin-top: 0;
  margin-bottom: 0;
}

.body {
  font-family: Verdana, Geneva, sans-serif;
}

.wrapper-max-width {
  width: 100%;
  max-width: 800px;
  background-color: #eee;
  border-radius: 1em;
  flex-direction: column;
  margin-top: 2em;
  padding: 2em;
  display: flex;
}

.clue-time-heading {
  color: #1862a8;
  margin-top: 0;
  margin-bottom: 0;
  padding-right: 1em;
  font-size: 20px;
  line-height: 30px;
}

.wrapper-heading {
  width: 100%;
  max-width: 800px;
  flex-direction: column;
  display: flex;
}

.clue-container-heading {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 20px;
  line-height: 30px;
}

.clue-container-sub-heading {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 18px;
  line-height: 24px;
  font-weight: normal;
  font-style: italic;
}

.arrow-big {
  width: 32px;
}

.arrow-small {
  width: 32px;
}

.clue-big-heading-container {
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.clue-sub-heading {
  margin-top: 1em;
  margin-bottom: 1em;
  font-size: 18px;
  line-height: 24px;
}

.q-wrapper {
  padding-top: 1em;
  padding-bottom: 1em;
}

.clue-q {
  font-weight: 700;
}

.clue-a {
  margin-left: 1em;
  padding-right: 3em;
  padding-top: 1em;
  font-weight: 400;
  display: none;
}

.clue-q-container {
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.clues-container {
  padding-left: 1em;
  display: none;
}

.rotated {
  transform: rotate(180deg);
  transition: transform 0.3s ease; /* Smooth transition for rotation */
}

.q-wrapper, .clue-big-heading-container {
  cursor: pointer;
}

.text {
  font-size: 18px;
  line-height: 24px;
  margin-top: 1em;
  font-weight: bold;
}

.text-small {
  margin-top: 1em;
  font-style: italic;
}

.text-span-underline {
  text-decoration: underline;
}

.text-span-normal {
  font-weight: normal;
}

.text-span-italic {
  font-style: italic;
}

@media screen and (max-width: 991px) {
  .wrapper-max-width {
    border-radius: 0;
    padding-left: 2em;
    padding-right: 2em;
  }

  .wrapper-heading {
    padding-left: 2em;
    padding-right: 2em;
  }
}